Name: xtrkcad
Version: 4.0.2
Release: alt1
Group: Games/Educational
License: GPL
Summary: XTrkCad Model Railroad CAD
Source: %name-%version.tar.gz
Packager: Fr. Br. George <george@altlinux.ru>

# Automatically added by buildreq on Tue Oct 07 2008
BuildRequires: ccmake gcc-c++ libgtkhtml2-devel

%description
XTrkCad is a CAD program for designing Model Railroad layouts.
XTrkCad supports any scale, has libraries of popular brands of x
turnouts and sectional track (plus you add your own easily), can
automatically use spiral transition curves when joining track
and has extensive on-line help and demonstrations.
XTrkCad lets you manipulate track much like you would with actual
flex-track to modify, extend and join tracks and turnouts.
Additional features include tunnels, 'post-it' notes, on-screen
ruler, parts list, 99 drawing layers, undo/redo commands,
benchwork, 'Print to BitMap', elevations, train simulation and
car inventory.

%prep
%define inst %_libdir/%name
%setup -q -n %name

%build
make -C app
cat > %name.sh <<@@@
#!/bin/sh
export XTRKCADLIB=%inst
%name.bin
@@@
chmod +x %name.sh

%install
mkdir -p %buildroot%inst/{demos,examples,html/png.d,params} %buildroot%_gamesbindir
install app/lib/%name.??? app/help/%name.tip app/bin/xtc64.xpm %buildroot%inst/
install app/lib/examples/*.xtc %buildroot%inst/examples/
install app/lib/params/*.xtp %buildroot%inst/params/
install app/lib/demos/dm*.xtr %buildroot%inst/demos/
install app/doc/*.{html,css} %buildroot%inst/html/
install app/doc/png.d/*.png %buildroot%inst/html/png.d/
install -s app/bin/xtrkcad %buildroot%_gamesbindir/%name.bin
install %name.sh %buildroot%_gamesbindir/%name

%files
%doc app/lib/*.txt app/COPYING dxf/*
%dir %inst
%inst/*
%_gamesbindir/%{name}*

%changelog
* Tue Oct 07 2008 Fr. Br. George <george@altlinux.ru> 4.0.2-alt1
- Initial build from scratch

